[@bigcommerce/checkout-sdk](../README.md) / GoogleRecaptchaScriptLoader

# Class: GoogleRecaptchaScriptLoader

## Table of contents

### Constructors

- [constructor](GoogleRecaptchaScriptLoader.md#constructor)

### Methods

- [load](GoogleRecaptchaScriptLoader.md#load)

## Constructors

### constructor

• **new GoogleRecaptchaScriptLoader**(`_scriptLoader`, `_window?`): [`GoogleRecaptchaScriptLoader`](GoogleRecaptchaScriptLoader.md)

#### Parameters

| Name | Type |
| :------ | :------ |
| `_scriptLoader` | `default` |
| `_window?` | [`GoogleRecaptchaWindow`](../interfaces/GoogleRecaptchaWindow.md) |

#### Returns

[`GoogleRecaptchaScriptLoader`](GoogleRecaptchaScriptLoader.md)

## Methods

### load

▸ **load**(): `Promise`\<`undefined` \| `ReCaptcha`\>

#### Returns

`Promise`\<`undefined` \| `ReCaptcha`\>
